Prerequisites - Amazon Simple Queue Service
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Prerequisites

在开始之前,您必须满足以下先决条件:

  • 适用于 Java 的 开发工具包

    可通过两种不同的方式将适 SDK for Java 包含在项目中:

    • 下载并安装适 SDK for Java。

    • 使用 Maven 获取 Amazon SQS Java 消息传递库。

      注意

      适 SDK for Java 作为一个依赖项包含在内。

      这些区域有:适用于 Java 的 开发工具包和 Amazon SQS 扩展客户端库要求使用 J2SE Demements Kit 8.0 或更高版本。

      有关下载适用于 Java 的 SDK 的信息,请参阅适用于 Java 的 开发工具包

  • Amazon SQS Java 消息传递库

    如果未使用 Maven,则必须将 amazon-sqs-java-messaging-lib.jar 程序包添加到 Java 类路径中。有关下载此库的信息,请参阅Amazon SQS Java 消息传递库

    注意

    Amazon SQS Java 消息传递库包括MavenSpring 框架

    有关使用 Maven、Spring Framework 和 Amazon SQS Java 消息库的代码示例,请参阅实际可用的 Java 示例:结合使用 JMS 与 Amazon SQS 标准队列

    <dependency> <groupId>com.amazonaws</groupId> <artifactId>amazon-sqs-java-messaging-lib</artifactId> <version>1.0.4</version> <type>jar</type> </dependency>
  • Amazon SQS 队列

    使用Amazon Web Services Management ConsoleAmazon SQS,CreateQueueAPI 或 Amazon SQS Java 消息库中包装包装的 Amazon SQS 客户端。